{{- define "root.domain" -}}
{{- if eq "http" .Values.global.uriScheme -}}      
{{- printf "%s" .Values.global.domain -}}
{{- else -}}
{{- printf "%s" .Values.global.domain -}}
{{- end -}}
{{- end -}}

{{- define "root.url" -}}   
{{- printf "%s://%s" (coalesce .Values.global.luxUriScheme .Values.global.uriScheme) .Values.global.domain -}}
{{- end -}}

{{- define "db.url" -}}
{{- if .postgres.enabled -}}      
{{- printf "postgres://%s:%s@postgres:5432/%s" .configs.postgresUser .secrets.dbPassword .configs.postgresDb -}}
{{- else -}}
{{- printf "%s" .secrets.dbUrl -}}
{{- end -}}
{{- end -}}

{{- define "timescaledb.url" -}}
{{- if .timescaledb.enabled -}}      
{{- printf "postgres://%s:%s@timescaledb:5432/%s?sslmode=disable" .configs.timescaledbUser .secrets.timescaledbPassword .configs.timescaledbDb -}}
{{- else -}}
{{- printf "%s" .secrets.timescaledbUrl -}}
{{- end -}}
{{- end -}}

{{- define "hgedb.url" -}}
{{- if .postgres.enabled -}}      
{{- printf "postgres://%s:%s@postgres:5432/%s?sslmode=disable" .configs.postgresUser .secrets.dbPassword .configs.hgeDb -}}
{{- else -}}
{{- printf "%s" .secrets.hgeDbUrl -}}
{{- end -}}
{{- end -}}

{{- define "configs.namespace" -}}
{{- print ( coalesce .Values.global.namespace .Values.configs.namespace .Release.Namespace ) -}}
{{- end -}}
